> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Encrypt content using SOPS



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/sops/encrypt
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/sops/encrypt:
    post:
      tags:
        - SOPS API
      summary: Encrypt content using SOPS
      operationId: encrypt_content_endpoint_api_v1_org_sops_encrypt_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EncryptContentRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EncryptContentResult'
          description: Content encrypted successfully
        '401':
          description: Unauthorized
        '404':
          description: SOPS not enabled
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '500':
          description: Encryption failed
components:
  schemas:
    EncryptContentRequest:
      properties:
        encrypted_paths:
          items:
            type: string
          title: Encrypted Paths
          type: array
        yaml_content:
          title: Yaml Content
          type: string
      required:
        - yaml_content
        - encrypted_paths
      title: EncryptContentRequest
      type: object
    EncryptContentResult:
      properties:
        encrypted_yaml:
          title: Encrypted Yaml
          type: string
        success:
          title: Success
          type: boolean
      required:
        - encrypted_yaml
        - success
      title: EncryptContentResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````